IntegrationsMeta Ads

Get one ad account with spend cap, balance, funding source and capabilities.

POST
/integrations/connections/{connection_id}/providers/metaads/ad-accounts/get

Get one ad account with spend cap, balance, funding source and capabilities.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/metaads/ad-accounts/get" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "1"  }'
{  "id": "example",  "account_id": "example",  "name": "Customer documents",  "account_status": 0,  "account_status_label": "example",  "currency": "example",  "timezone_name": "example",  "amount_spent": 0,  "business": {    "id": "example",    "name": "Customer documents"  },  "spend_cap": 0,  "balance": 0,  "disable_reason": 0,  "created_time": "example",  "funding_source_details": {},  "capabilities": []}